# SRC/ilu_ccopy_to_ucol.c File Reference

Copy a computed column of U to the compressed data structure and drop some small entries. More...

`#include "slu_cdefs.h"`

## Functions
void | ccopy_ (int *, complex[], int *, complex[], int *)
int | ilu_ccopy_to_ucol (int jcol, int nseg, int *segrep, int *repfnz, int *perm_r, complex *dense, int drop_rule, milu_t milu, double drop_tol, int quota, complex *sum, int *nnzUj, GlobalLU_t *Glu, float *work)

## Detailed Description

     -- SuperLU routine (version 4.1) --
     Lawrence Berkeley National Laboratory
     November, 2010

## Function Documentation

void ccopy_ | ( | int * | ,
|  | complex | [],
|  | int * | ,
|  | complex | [],
|  | int * |  |
| ) |  |  |

int ilu_ccopy_to_ucol | ( | int | jcol,
|  | int | nseg,
|  | int * | segrep,
|  | int * | repfnz,
|  | int * | perm_r,
|  | complex * | dense,
|  | int | drop_rule,
|  | milu_t | milu,
|  | double | drop_tol,
|  | int | quota,
|  | complex * | sum,
|  | int * | nnzUj,
|  | GlobalLU_t * | Glu,
|  | float * | work |
| ) |  |  |